Create thread comment
curl --request POST \
--url https://api.withallo.com/v2/api/threads/{id}/comments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "On it."
}
'import requests
url = "https://api.withallo.com/v2/api/threads/{id}/comments"
payload = { "content": "On it." }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'On it.'})
};
fetch('https://api.withallo.com/v2/api/threads/{id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "thc-def456",
"content": "On it.",
"user": {
"id": "usr-abc123",
"name": "Jane Doe"
},
"mentions": [],
"created_at": "2026-07-13T10:05:00",
"updated_at": "2026-07-13T10:05:00"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Threads
Create thread comment
Adds a comment to an existing thread.
POST
/
v2
/
api
/
threads
/
{id}
/
comments
Create thread comment
Required scope:
THREADS_WRITEBehavior
Adds a comment to an existing thread. Comments can be added to resolved threads too.Mentions
Mention teammates inline incontent with @[Display Name](usr-xxxx) — see the mentions guide.
Errors
| Status | Code | When |
|---|---|---|
400 | EMPTY_NOTE_CONTENT | content is missing or blank |
400 | NOTE_CONTENT_TOO_LONG | content exceeds 4,000 characters |
404 | THREAD_NOT_FOUND | No thread with this ID |
Authorizations
Path Parameters
Thread ID (cth-*)
Example:
"cth-abc123"
Body
application/json
Comment text (max 4000 characters). Mention teammates inline with @[Name](usr-...).
Example:
"On it."
Response
Comment created
Show child attributes
Show child attributes
Was this page helpful?
⌘I